<?php 

require_once(realpath(dirname(__FILE__)).'/ParticleTraffic.config.php');

switch($_REQUEST['mode']){

	//the required javascript for showing the traffic data interface
	case 'track_event';
	
		$siteIdNumber=0;
		ParticleTrafficTracker::quickTrack( array('title'=>$_REQUEST['title'], 'siteIdNumber'=>$_REQUEST['site'], 'url'=>$_REQUEST['url']) );
		ParticleTrafficTools::printSpacerImg();
		
		die;
		break;

	//the required javascript for showing the traffic data interface
	case 'tracker_js';
	
		header("content-type: application/x-javascript");
		include(ParticleTraffic_PATH.'js/ParticleTraffic.tracker_script.php');
		die;
		break;
	
	//track the user information captured by the tracker_script (screen size, flash version, etc), and return a 1x1 transparent gif
	//done via a loaded image so we don't have to use ajax
	case 'tracking_img';
		
		$tracker = new ParticleTrafficTracker( intval($_REQUEST['site']) );
		$tracker->browserSideHit( );		
		ParticleTrafficTools::printSpacerImg();
		die;
		break;	

	//the required javascript for showing the traffic data interface
	case 'display_js';
	
		header("content-type: application/x-javascript");
		$siteIdNumber=intval($_REQUEST['site']);
		include(ParticleTraffic_PATH.'js/ParticleTraffic.display_script.php');
		die;
		break;		
		
	//get the xml for the site's visits graph
	case 'graph_xml':
		//you may want to aid some authentication here if you want to hide you sites traffic xml data

		//if(!ParticalStatsAuthentication::isLoggedIn()) return '';

		$timeframe=$_REQUEST['timeframe'];
		if(!in_array($timeframe,array('week','year','day')))
			$timeframe='week';
			
		$statsDisplay = new ParticleTrafficDisplay(intval($_REQUEST['bID']));
		$filePath = $statsDisplay->getGraphXMLPath($timeframe); 
		if( !file_exists($filePath) ){ 
			$visitData=$statsDisplay->getVisitData();
			$statsDisplay->generateGraphXML($visitData,$timeframe);
		}
		
		if(!file_exists($filePath)) throw new Exception('file not found!');
		$filesize=filesize($filePath); 	 
		header("Pragma: public"); 
		header("Cache-Control: must-revalidate");				
		header('Content-Type: text/xml');
		header('Content-Length: '.$filePath);
		
		$fp = fopen($filePath, 'r'); //'rb'
		$file_buffer = fread($fp, $filesize);
		fclose ($fp);			
		print $file_buffer;
		die;

		break; 
		
	default:
		echo 'No service specified';
		die;
}

?>